High-Level Data Reduction Library: hdrl_spectrum_resample.c File Reference

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Data Structures | Functions
hdrl_spectrum_resample.c File Reference
`#include "hdrl_spectrum_resample.h"`
`#include "hdrl_spectrum_defs.h"`
`#include "hdrl_parameter.h"`
`#include "hdrl_utils.h"`
`#include <math.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <gsl/gsl_blas.h>`
`#include <gsl/gsl_errno.h>`
`#include <gsl/gsl_spline.h>`
`#include <gsl/gsl_bspline.h>`
`#include <gsl/gsl_multifit.h>`
Include dependency graph for hdrl_spectrum_resample.c:

## Data Structures
struct | hdrl_spectrum1D_resample_interpolate_parameter
struct | hdrl_spectrum1D_resample_integrate_parameter
struct | hdrl_spectrum1D_resample_fit_parameter

## Functions
hdrl_spectrum1D_interpolation_method | hdrl_spectrum1D_resample_interpolate_parameter_get_method (const hdrl_parameter *par)
int | hdrl_spectrum1D_resample_fit_parameter_get_k (const hdrl_parameter *par)
int | hdrl_spectrum1D_resample_fit_parameter_get_nCoeff (const hdrl_parameter *par)
long | hdrl_spectrum1D_resample_fit_parameter_get_window (const hdrl_parameter *par)
long | hdrl_spectrum1D_resample_fit_parameter_get_factor (const hdrl_parameter *par)
hdrl_parameter * | hdrl_spectrum1D_resample_interpolate_parameter_create (const hdrl_spectrum1D_interpolation_method method)
| constructor for the hdrl_parameter in the case of interpolation
hdrl_parameter * | hdrl_spectrum1D_resample_integrate_parameter_create (void)
| constructor for the hdrl_parameter in the case of integration
hdrl_parameter * | hdrl_spectrum1D_resample_interpolate_parameter_parse_parlist (const cpl_parameterlist *parlist, const char *prefix)
cpl_parameterlist * | hdrl_spectrum1D_resample_interpolate_parameter_create_parlist (const char *base_context, const char *prefix, const char *method_def)
hdrl_parameter * | hdrl_spectrum1D_resample_fit_parameter_create (const int k, const int nCoeff)
| constructor for the hdrl_parameter in the case of interpolation
hdrl_parameter * | hdrl_spectrum1D_resample_fit_windowed_parameter_create (const int k, const int nCoeff, const long window, const double factor)
| constructor for the hdrl_parameter in the case of interpolation
cpl_error_code | hdrl_resample_parameter_verify (const hdrl_parameter *par)
hdrl_spectrum1D * | hdrl_spectrum1D_resample (const hdrl_spectrum1D *self, const hdrl_spectrum1D_wavelength *waves, const hdrl_parameter *par)
| resample a hdrl_spectrum1D on the wavelengths contained in waves
hdrl_spectrum1D * | hdrl_spectrum1D_resample_on_array (const hdrl_spectrum1D *self, const cpl_array *waves, const hdrl_parameter *par)
| resample a hdrl_spectrum1D on the wavelengths contained in waves
cpl_size | hdrl_spectrum1D_resample_filter_dups_and_substitute_with_median (double *x, double *y1, double *y2, cpl_size sample_len)

## Function Documentation

## ◆ hdrl_spectrum1D_resample_fit_parameter_get_factor()

long hdrl_spectrum1D_resample_fit_parameter_get_factor | ( | const hdrl_parameter * | par | ) |

## ◆ hdrl_spectrum1D_resample_fit_parameter_get_k()

int hdrl_spectrum1D_resample_fit_parameter_get_k | ( | const hdrl_parameter * | par | ) |

## ◆ hdrl_spectrum1D_resample_fit_parameter_get_nCoeff()

int hdrl_spectrum1D_resample_fit_parameter_get_nCoeff | ( | const hdrl_parameter * | par | ) |

## ◆ hdrl_spectrum1D_resample_fit_parameter_get_window()

long hdrl_spectrum1D_resample_fit_parameter_get_window | ( | const hdrl_parameter * | par | ) |

## ◆ hdrl_spectrum1D_resample_interpolate_parameter_get_method()

hdrl_spectrum1D_interpolation_method hdrl_spectrum1D_resample_interpolate_parameter_get_method | ( | const hdrl_parameter * | par | ) |